package com.example.bookshelf;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.Spinner;
import android.widget.TextView;

public class AddBookActivity extends Activity {

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.add_book);

		((TextView) findViewById(R.id.form_title)).setText(SettingsActivity
				.getFormTitle(this));

		((Spinner) findViewById(R.id.rating)).setSelection(SettingsActivity
				.getDefaultRating(this));
	}

	public void saveBook(View v) {
		String title = ((EditText) findViewById(R.id.title)).getText()
				.toString();
		String author = ((EditText) findViewById(R.id.author)).getText()
				.toString();
		int rating = ((Spinner) findViewById(R.id.rating))
				.getSelectedItemPosition();

		Database db = new Database(this);
		if (db.addBook(title, author, rating) > -1)
			setResult(RESULT_OK);
		else
			setResult(RESULT_CANCELED);

		finish();
	}
}
